Oracle Linux 3 / 4 : net-snmp (ELSA-2007-1045)

High Nessus Plugin ID 67608


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2007:1045 :

Updated net-snmp packages that fix a security issue are now available for Red Hat Enterprise Linux 3, 4, and 5.

Simple Network Management Protocol (SNMP) is a protocol used for network management.

A flaw was discovered in the way net-snmp handled certain requests. A remote attacker who can connect to the snmpd UDP port (161 by default) could send a malicious packet causing snmpd to crash, resulting in a denial of service. (CVE-2007-5846)

All users of net-snmp are advised to upgrade to these updated packages, which contain a backported patch to resolve this issue.


Update the affected net-snmp packages.

See Also

Plugin Details

Severity: High

ID: 67608

File Name: oraclelinux_ELSA-2007-1045.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2017/08/15

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.8

Temporal Score: 6.6

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

Temporal Vector: CVSS2#E:U/RL:ND/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:net-snmp, p-cpe:/a:oracle:linux:net-snmp-devel, p-cpe:/a:oracle:linux:net-snmp-libs, p-cpe:/a:oracle:linux:net-snmp-perl, p-cpe:/a:oracle:linux:net-snmp-utils, cpe:/o:oracle:linux:3, cpe:/o:oracle:linux:4

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/12/04

Vulnerability Publication Date: 2007/05/04

Reference Information

CVE: CVE-2007-5846

BID: 26378

OSVDB: 38904

RHSA: 2007:1045

CWE: 399